summaryrefslogtreecommitdiffstats
path: root/meta-agl-demo/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh
diff options
context:
space:
mode:
authortakeshi_hoshina <takeshi_hoshina@mail.toyota.co.jp>2020-11-02 11:07:33 +0900
committertakeshi_hoshina <takeshi_hoshina@mail.toyota.co.jp>2020-11-02 11:07:33 +0900
commit1c7d6584a7811b7785ae5c1e378f14b5ba0971cf (patch)
treecd70a267a5ef105ba32f200aa088e281fbd85747 /meta-agl-demo/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh
parent4204309872da5cb401cbb2729d9e2d4869a87f42 (diff)
recipes
Diffstat (limited to 'meta-agl-demo/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh')
-rw-r--r--meta-agl-demo/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/meta-agl-demo/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh b/meta-agl-demo/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh
new file mode 100644
index 00000000..3f538175
--- /dev/null
+++ b/meta-agl-demo/recipes-config/cluster-demo-network-config/files/cluster-demo-network-conf.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+CONNMAN_CONF=/etc/connman/main.conf
+CLUSTER_ADDRESS=192.168.20.93
+
+if [ -z "$1" ]; then
+ echo "Usage: $0 <network device>"
+ exit 1
+fi
+
+# Need to blacklist given device with connman if it isn't already,
+# otherwise connman will over-ride address configuration.
+if ! grep '^NetworkInterfaceBlacklist=' ${CONNMAN_CONF} | grep -q $1; then
+ sed -i "s/^\(NetworkInterfaceBlacklist=.*\)/\1,$1/" ${CONNMAN_CONF}
+fi
+
+/sbin/ifconfig $1 ${CLUSTER_ADDRESS}